Error


/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/evo/Page_previewcards.evo line 16
        tag_uid = dstore.get('tag_uid', '-1')
        items = self.cached_tagged_pages(tag_uid, kind=preview_kind, orderby='seq desc', limit=3)
    elif tag_uid:
        items = self.cached_tagged_pages(tag_uid, isin={'tag':[preview_kind,preview_kind2]}, orderby='seq desc', limit=3)
#    elif tag_uid and tag_uid2:
#        items = self.cached_tagged_pages(tag_uid, isin={'tag':[preview_kind,preview_kind2]}, orderby='seq desc', limit=3)

Traceback (most recent call last):
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1003, in __call__
res = str(eval(self.content[0], globals(), env) or '')
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/evo/Page_previewcards.evo", line 1, in <module>
dstore = self.get_dstore()
NameError: name 'preview_kind2' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1719, in __str__
raise self.exc
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 294, in maybe_content
content = fn(*a, **k)
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1009, in __call__
raise EvoRuntimeError(self)
nevo.Nevo.EvoRuntimeError: EvoRuntimeError: /home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/evo/Page_previewcards.evo line 16 <code object <module> at 0x7f576d683150, file "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/evo/Page_previewcards.evo", line 1>